.sidebar {
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  height: 100%;
  width: 75px;
  transition: all 0.3s ease;
  font-size: 12px;
  /* background-color: #005854 !important; */
}

.sidebar::-webkit-scrollbar {
  display: none;
}

.sidebar.open {
  /* width: 220px; */
  width: 230px;
  overflow-y: scroll;
}

.sidebar .logo-details {
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  z-index: 9999;
  width: inherit;
  top: 0;
  left: 0;
  /* background-color: #29587d !important; */
  /* border-bottom: 1px solid black; */
}

.sidebar.open .logo-details {
  padding-right: 10px;
}

.sidebar .logo-details .icon {
  opacity: 0;
  transition: all 0.3s ease;
}

.sidebar .logo-details .logo_name {
  color: #fff;
  font-size: 20px;
  font-weight: 600;
  /* opacity: 0; */
  transition: all 0.3s ease;
  display: none;
  padding-left: 18px;
}

.sidebar.open .logo-details .icon,
.sidebar.open .logo-details .logo_name {
  opacity: 1;
  display: block !important;
}

.sidebar .logo-details #btn {
  transition: all 0.4s ease;
  font-size: 23px;
  text-align: center;
  cursor: pointer;
  transition: all 0.3s ease;
  padding-right: 8px !important;
  width: 100%;
}

.sidebar.open .logo-details #btn {
  text-align: right;
}

.sidebar i {
  color: #fff;
  height: 60px;
  min-width: 50px;
  font-size: 28px;
  text-align: center;
  line-height: 60px;
}


@media (max-width: 768px) {
  .sidebar.open li.profile {
    width: 30% !important;
  }
}

.sidebar .nav-list {
  padding-top: 50px;
  height: 100%;
}

.sidebar li {
  position: relative;
  margin: 8px 0;
  list-style: none;
  width: 100%;
  padding-left: 18%;
}

.sidebar.open li {
  width: 100%;
  padding-left: 0;
  padding-right: 20px;
}

.sidebar.open li {
  width: 100%;
}

.sidebar li .tooltip {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9999 !important;
  color: #fff;
  background: #1d1b31;
  padding: 0px 20px;
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
  font-size: 12px;
  font-weight: 400;
  opacity: 0;
  white-space: nowrap;
  pointer-events: none;
  transition: all .3s ease;
  max-height: 300px;
  overflow-y: scroll;
  overflow-x: hidden;
}

.sidebar li .tooltip::-webkit-scrollbar {
  width: 5px;
}

.sidebar li .tooltip::-webkit-scrollbar-thumb {
  width: 3px;
  background: gray;
  border-radius: 30px;
}



.sidebar li:hover .tooltip {
  opacity: 1;
  pointer-events: auto;
  left: 105%;
}

.sidebar.open li .tooltip {
  display: none;
}

.sidebar li .tooltip a {
  padding: 0px 0;
}

.link {
  position: relative;
}

.link i {
  margin-left: 35%;
  transform: translateX(-50%);
}

.sidebar.open .link i {
  margin-left: 0;
  transform: none;
}


.link:hover {
  background: #1a1831 !important;
  transform: translateX(10px);
  color: #fff !important;
}



.sidebar.open .link:hover {
  /* background: none !important; */
  transform: translateX(10px);
  color: #fff !important;
}

a {
  background: none !important;
}

.sidebar input {
  font-size: 15px;
  color: #fff;
  font-weight: 400;
  outline: none;
  height: 50px;
  width: 100%;
  width: 50px;
  border: none;
  border-radius: 12px;
  transition: all 0.3s ease;
  background: #1d1b31;
}

.sidebar.open input {
  padding: 0 20px 0 50px;
  width: 100%;
}

.sidebar .bx-search {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  font-size: 22px;
  background: #1d1b31;
  color: #fff;
}

.sidebar.open .bx-search:hover {
  background: #1d1b31;
  color: #fff;
}

.sidebar .bx-search:hover {
  background: #fff;
  color: #11101d;
}

.sidebar li a {
  display: flex;
  height: 100%;
  width: 100%;
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
  align-items: center;
  text-decoration: none;
  transition: all 0.3s ease;
  background: #11101d;
}

.sidebar.open li a {
  border-radius: 12px;
}

/*=============== dropdown ================= */
.sidebar.open .links_dropdown_arrow {
  position: absolute;
  right: 10px;
}

.links_dropdown_arrow {
  transform: rotate(-90deg);
  transition: all .3s ease !important;
}

.multiple-item.open_dropdown .links_dropdown_arrow {
  transform: rotate(0);
}

.sidebar.open .multiple-item {
  padding: 0;
  padding-right: 20px;
}

.multiple-item.open_dropdown .tooltip {
  opacity: 1 !important;
  display: block !important;
  position: static;
  border-radius: 12px;
  background: inherit;
  padding-left: 30px;
  box-shadow: none !important;
}

.multiple-item {
  height: 50px;
  transition: height 0.3s ease-in-out;
}

.multiple-item a {
  max-height: 50px;
}

.multiple-item.open_dropdown {
  height: auto;
}

/*=============== dropdown ================= */
.sidebar li a .links_name,
.links_dropdown_arrow {
  color: #fff;
  font-size: 12px;
  font-weight: 400;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: 0.4s;
}

.sidebar.open li a .links_name,
.links_dropdown_arrow {
  opacity: 1;
  pointer-events: auto;
}

.sidebar li a:hover .links_name,
.sidebar li a:hover i {
  transition: all 0.3s ease;
}

.sidebar li i {
  height: 50px;
  line-height: 50px;
  font-size: 15px;
  border-radius: 12px;
}

.sidebar li.profile {
  position: fixed;
  height: 60px;
  width: 4%;
  left: 0;
  bottom: -8px;
  padding: 10px 14px;
  /* background: #1d1b31; */
  transition: all 0.3s ease;
  overflow: hidden;
}

.sidebar.open li.profile {
  width: 15%;
}

.sidebar li .profile-details {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
}

.sidebar li img {
  height: 45px;
  width: 45px;
  object-fit: cover;
  border-radius: 6px;
  margin-right: 10px;
}

.sidebar li.profile .name,
.sidebar li.profile .job {
  font-size: 15px;
  font-weight: 400;
  color: #fff;
  white-space: nowrap;
}

.sidebar li.profile .job {
  font-size: 12px;
}

.sidebar .profile #log_out {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  /* background: #1d1b31; */
  width: 100%;
  height: 60px;
  line-height: 60px;
  border-radius: 0px;
  transition: all 0.3s ease;
}

.sidebar.open .profile #log_out {
  width: 50px;
  background: none;
}

.home-section {
  position: relative;
  background: #e4e9f7;
  min-height: 100vh;
  top: 0;
  left: 78px;
  width: calc(100% - 78px);
  transition: all 0.3s ease;
  z-index: 2;
}

.sidebar.open~.home-section {
  left: 250px;
  width: calc(100% - 250px);
}

.home-section .text {
  display: inline-block;
  color: #11101d;
  font-size: 25px;
  font-weight: 500;
  margin: 18px;
}

@media (max-width: 420px) {
  .sidebar li .tooltip {
    display: none;
  }
}

/* .active-route::before { 
  content: '';
  margin-left: -8px;
} */

.active-route {
  color: #7367f0 !important;
}

.right-sidebar {
  position: fixed;
  top: 50%;
  right: -52px;
  transform: translateY(-50%);
  z-index: 99;
  transition: all .2s ease-in-out;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  min-height: 70vh;
}

.right-sidebar:hover {
  right: 0;
}


/* mini sidebar */
.right-sidebar.horizontal {
  border-radius: 10px !important;
  padding: 16px 20px;
  transform: none;
  top: 20px;
  width: calc(100% - 125px);
  min-height: 70px !important;
  right: 1.75rem;
  box-shadow: -2px -23px 22px 1px rgba(223, 223, 223, 0.81);
}

.dark .right-sidebar.horizontal {
  box-shadow: -2px -25px 22px 1px #171D32;
}

.right-sidebar.horizontal .logout {
  display: none;
}

.smaller {
  width: calc(100% - 280px) !important;
}

.right-sidebar.horizontal .additional-classes {
  display: flex;
  justify-content: space-between;
  flex-direction: row-reverse;
}

.right-sidebar.horizontal .additional-classes .avatar-tooltip {
  margin: 0;
}

.horizontal-state {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding-right: 20px;

  gap: 20px;
  margin: 0;
}

.horizontal-state .lang {
  height: 16px;
  margin: 0;
}

.horizontal-state .action-icons {
  display: flex;
  align-items: center;
  gap: 20px;
  margin: 0;
}

.horizontal-state .search-icon {
  margin: 0;
}

.horizontal-state span {
  margin: 0;
}

span.burger-btn {
  display: none;
}












@media (min-width: 1700px) and (max-width: 2000px) {
  .sidebar .logo-details .logo_name {
    padding-left: 35px;
  }
  
  .sidebar .logo-details {
    height: 80px;
  }

  .sidebar .nav-list {
    padding-top: 75px;
  }
  
  
  .sidebar.open .multiple-item {
    padding-left: 20px;
  } 
}
/* changes */

/* .sidebar {
  background: #051e34 !important;
}

.sidebar .logo-details {
  background: #051e34;
}

.sidebar.open .main-section {
  position: relative;
  height: 100vh;
}

.sidebar.open .quadrat1,
.sidebar.open .quadrat2 {
  position: absolute;
  width: 100%;
  height: 500px;
  background: linear-gradient(#9a9a9a, #9a9a9a00);
  opacity: .1;
}

.sidebar.open .quadrat1 {
  top: 50%;
  bottom: 0;
  transform: rotate(50deg);
}

.sidebar.open .quadrat2 {
  top: 20%;
  left: -10%;
  bottom: 0;
  transform: rotate(-45deg);
}

.sidebar.open ul li {
  width: 100%;
  padding-left: 0;
  padding-right: 20px;
} */
